FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 10-05-2012, 08:07 AM
Wookey
 
Default Bug#680439: gcc-4.7: Fails to build glibc

I've just tried this with glibc 2.16 and get the same problem.
Trying to build glibc2.15 with gcc 4.7 gave a very similar error (Same
'__EI___*' aliased to external symbol '__GI___*' with a different
variable name.

Packaging from
svn://svn.debian.org/pkg-glibc/glibc-package/branches/eglibc-2.16/debian
libc sources from
svn://svn.eglibc.org/branches/eglibc-2_16
(and the aarch64 patch from
http://sourceware.org/ml/libc-alpha/2012-10/msg00007.html munged to
fit debian eglibc layout)

This is now a blocker for the arm64 port, which only has gcc4.7
available and we need a cross-compiler to get started.

Will investigate further.

Wookey
--
Principal hats: Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/


--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20121005080713.GC24695@stoneboat.aleph1.co.uk">htt p://lists.debian.org/20121005080713.GC24695@stoneboat.aleph1.co.uk
 

Thread Tools




All times are GMT. The time now is 09:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org